Changes between Version 28 and Version 29 of Building/CrossCompiling/iOS


Ignore:
Timestamp:
Sep 2, 2013 8:41:45 PM (8 months ago)
Author:
lukexi
Comment:

Updated to prescribe LLVM 3.0 rather than "3.0 or >=3.2", due to many failures reported by users using other than 3.0 : )

Legend:

Unmodified
Added
Removed
Modified
  • Building/CrossCompiling/iOS

    v28 v29  
    77=== 1. Read ARM-specific notes === 
    88 
    9 See [wiki:Building/CrossCompiling Cross-compiling GHC] at the bottom. In particular, you need to install llvm version 3.0 or >= 3.2. Version 3.0 definitely works. There may be outstanding issues with version 3.2. 
     9You must use LLVM 3.0 — there seem to be issues with other versions. It's easiest to just download the binaries and put them in your path: 
     10[http://llvm.org/releases/3.0/clang+llvm-3.0-x86_64-apple-darwin11.tar.gz] 
    1011 
    11 Make sure you build it with ARM support. It's very easy to download the source from [http://llvm.org/] and build it from source. 
     12See [wiki:Building/CrossCompiling Cross-compiling GHC] for more details. 
    1213 
    1314=== 2. Scripts ===